alter table my_location add altitude double;
alter table my_location add speed float;
alter table my_location add bearing float;
alter table my_location add accuracy float;
alter table my_location add hasAltitude Boolean;
alter table my_location add hasSpeed Boolean;
alter table my_location add hasBearing Boolean;
alter table my_location add hasAccuracy Boolean;
alter table my_location add time long;